package com.ss.android.ugc.aweme.services;

import X.C4547Eil;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.framework.services.IAccountInfoUpdateAdapterService;
import com.ss.android.ugc.aweme.profile.model.User;

public final class UserInfoUpdateAdapterService implements IAccountInfoUpdateAdapterService {
    static {
        Covode.recordClassIndex(105192);
    }

    public final int userDefaultAllowStatus() {
        return 1;
    }

    public final User getUser() {
        return new C4547Eil().LIZ();
    }

    public static IAccountInfoUpdateAdapterService createIAccountInfoUpdateAdapterServicebyMonsterPlugin(boolean z) {
        MethodCollector.i(1967);
        IAccountInfoUpdateAdapterService iAccountInfoUpdateAdapterService = (IAccountInfoUpdateAdapterService) Lnj.LIZ(IAccountInfoUpdateAdapterService.class, z);
        if (iAccountInfoUpdateAdapterService != null) {
            MethodCollector.o(1967);
            return iAccountInfoUpdateAdapterService;
        }
        Object LIZIZ = Lnj.LIZIZ(IAccountInfoUpdateAdapterService.class, z);
        if (LIZIZ != null) {
            IAccountInfoUpdateAdapterService iAccountInfoUpdateAdapterService2 = (IAccountInfoUpdateAdapterService) LIZIZ;
            MethodCollector.o(1967);
            return iAccountInfoUpdateAdapterService2;
        }
        if (Lnj.aE == null) {
            synchronized (IAccountInfoUpdateAdapterService.class) {
                try {
                    if (Lnj.aE == null) {
                        Lnj.aE = new UserInfoUpdateAdapterService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(1967);
                    throw th;
                }
            }
        }
        UserInfoUpdateAdapterService userInfoUpdateAdapterService = (UserInfoUpdateAdapterService) Lnj.aE;
        MethodCollector.o(1967);
        return userInfoUpdateAdapterService;
    }
}
